unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation
{$R *.DFM}
Uses KDaoDatabase;

Var
 DB  : TKADaoDatabase;

procedure TForm1.Button1Click(Sender: TObject);
Var
  FN,FT,FS,FI:Variant;
begin
  DB  := TKADaoDatabase.Create(Self);
  DB.CreateAccessDatabase('runtime.mdb');
  DB.CreateAccessDatabaseEx('runtimex.mdb','0x0402','1251','0','','30',False);

  FN:=VarArrayCreate([0, 1], varOleStr);
  FT:=VarArrayCreate([0, 1], varInteger);
  FS:=VarArrayCreate([0, 1], varInteger);
  FI:=VarArrayCreate([0, 1], varInteger);

  FN[0]:='Field 1';    // Name of First Field
  FN[1]:='Field 2';    // Name of Secodn Field Field
  FT[0]:=1;            // FieldType 1 is Yes/No - see field types in dao35api.pas
  FT[1]:=10;           // FieldType 2 is Text - see field types in dao35api.pas
  FS[0]:=1;            // FieldSize 1 is Default
  FS[1]:=111;          // FieldSize 2 is 111 symbols
  FI[0]:=1;            // Field 1 is Indexed No duplicates and primary Index
  FI[1]:=2;            // Field 2 is Indexed, No duplicates
                       {
                         0 = No Index
                         1 = Primary index
                         2 = Unique
                         4 = NormalIndex
                       }

  DB.Database:='runtime.mdb';
  DB.Connected  := True;
  if DB.CreateTable('NewTable',FN,FT,FS,FI) Then ShowMessage('Success 1 !');
  DB.Connected  := False;

  DB.Database:='runtimex.mdb';
  DB.Connected  := True;
  if DB.CreateTable('NewTable',FN,FT,FS,FI) Then ShowMessage('Success 2 !');

  DB.Connected  := False;
  DB.Free;
end;

end.
